networks:
  traefik:
    external: true

services:
  resume:
    image: git.nixc.us/colin/resume:production
    deploy:
      placement:
        constraints:
          - node.hostname == ingress.nixc.us
      update_config:
        order: start-first
        # failure_action: rollback
        delay: 0s
        parallelism: 1
      restart_policy:
        condition: on-failure
      labels:
        us.nixc.autodeploy: "true"
        traefik.enable: "true"
        traefik.http.routers.production_resume.tls: "true"
        traefik.http.services.production_resume.loadbalancer.server.port: "8080"
        traefik.http.routers.production_resume.rule: "Host(`resume.colinknapp.com`, `colinknapp.com`)"
        traefik.http.routers.production_resume.entrypoints: "websecure"
        traefik.http.routers.production_resume.tls.certresolver: "letsencryptresolver"
        traefik.http.routers.production_resume.service: "production_resume"
        traefik.docker.network: "traefik"
    networks:
      traefik:
